matt neuburg a ˝─rit :
> The Mac OS X 10.5.4 update came out yesterday, but it did not update the
> installed Ruby to 1.8.7. I thought the idea that this sort of thing
> would happen was part of the promise of keeping Ruby in a system library
> framework...? m.
> 
You may wish to try MacRuby, it is a MacPort of 1.9, in ObjectiveC,
meaning that Ruby objects are native ObjC object, making the
interoperability as smooth as possible and letting you write Cocoa
application much easier.

J-P